
##
## pairs that act compatible on G/T and on T
##
CompatiblePairsCG := function( G )
    local C, M, F, iso, N, n, s, i, w, a;

    # get info
    AddExtensionInfoCG(G);
    C := G!.crrec;

    # natural epimorphism
    M := Group(C.mats, C.one);
    F := C.factor!.group;
    iso := GroupHomomorphismByImagesNC(M, F, C.mats, Igs(F));
    SetIsSurjective(iso, true);

    # normalizer
    N := NormalizerOfPointGroup(G);
    n := GeneratorsOfGroup(N);
    s := [];

    # get pairs
    for i in [1..Length(n)] do
        w := List(C.mats, x -> x^n[i]);
        w := List(w, x -> Image(iso, x));
        a := GroupHomomorphismByImagesNC( F, F, Igs(F), w);
        SetIsBijective(a, true);
        s[i] := Tuple([n[i], a]);
    od;

    return s;
end;

